/*  include file   EXTENSIONS.H  
 *  Definitions for recognized file extensions and the associated comment
 *  delimiters with that type language.
 */

#define		MAX_DELIMITERS    3

    struct  delimit    {
		char	*string;			/* delimiter string */
		int	len;				/* # chars in delimiter string */
	};

#define __DELIMIT(string)   string, sizeof(string)-1 
#define __EXTENSION(string) string, sizeof(string)-1

    struct  filetype   {
		char		*ext;			/* file extension */
		int		extlen;			/* number of chars in file extension */

		int		begin_count;		/* number of beginning delimiter sets used */
		struct delimit	begin[MAX_DELIMITERS];	/* array of ptrs to beginning delimiter strings */
		int		end_count;		/* number of ending delimiter sets used */
		struct delimit	end[MAX_DELIMITERS];	/* array of ptrs to ending delimiter strings */
		int		mid_count;		/* number of mid-comment delimiter sets used */
		struct delimit	mid[MAX_DELIMITERS];	/* array of ptrs to mid-comment delimiter strings */
	};


    struct  filetype  extensions[] = {  
		    __EXTENSION("C"),
		1,  __DELIMIT("/*+"), __DELIMIT(" "),   __DELIMIT(" ") , 
		1,  __DELIMIT("-*/"), __DELIMIT(" "),   __DELIMIT(" ") , 
		2,  __DELIMIT(" *"),  __DELIMIT("*"),   __DELIMIT(" ")
			,
		    __EXTENSION("H"),
		1,  __DELIMIT("/*+"), __DELIMIT(" "),   __DELIMIT(" ") , 
		1,  __DELIMIT("-*/"), __DELIMIT(" "),   __DELIMIT(" ") , 
		2,  __DELIMIT(" *"),  __DELIMIT("*"),   __DELIMIT(" ")
			,
		    __EXTENSION("PAS"),
		2,  __DELIMIT("{+"),  __DELIMIT("(*+"), __DELIMIT(" ") , 
		2,  __DELIMIT("-}"),  __DELIMIT("-*)"), __DELIMIT(" ") , 
		2,  __DELIMIT(" *"),  __DELIMIT("*"),   __DELIMIT(" ")
			,
		    __EXTENSION("FOR"),
		2,  __DELIMIT("C+"),  __DELIMIT("c+"),  __DELIMIT(" ") , 
		2,  __DELIMIT("C-"),  __DELIMIT("c-"),  __DELIMIT(" ") , 
		2,  __DELIMIT("C"),   __DELIMIT("c"),   __DELIMIT(" ")   
			,
		    __EXTENSION("FTN"),
		2,  __DELIMIT("C+"),  __DELIMIT("c+"),  __DELIMIT(" ") , 
		2,  __DELIMIT("C-"),  __DELIMIT("c-"),  __DELIMIT(" ") , 
		2,  __DELIMIT("C"),   __DELIMIT("c"),   __DELIMIT(" ")   
			,
		    __EXTENSION("MAR"),
		1,  __DELIMIT(";+"),  __DELIMIT(" "),   __DELIMIT(" ") , 
		1,  __DELIMIT(";-"),  __DELIMIT(" "),   __DELIMIT(" ") , 
		1,  __DELIMIT(";"),   __DELIMIT(" "),   __DELIMIT(" ")   
			,
		    __EXTENSION("COM"),
		2,  __DELIMIT("$!+"), __DELIMIT("!+"),  __DELIMIT(" ") , 
		2,  __DELIMIT("$!-"), __DELIMIT("!-"),  __DELIMIT(" ") , 
		2,  __DELIMIT("$!"),  __DELIMIT("!"),   __DELIMIT(" ")   
			,
/*  other forms of MACRO files  */
		    __EXTENSION("MAC"),
		1,  __DELIMIT(";+"),  __DELIMIT(" "),   __DELIMIT(" ") , 
		1,  __DELIMIT(";-"),  __DELIMIT(" "),   __DELIMIT(" ") , 
		1,  __DELIMIT(";"),   __DELIMIT(" "),   __DELIMIT(" ")   
			,
		    __EXTENSION("Z8K"),
		1,  __DELIMIT(";+"),  __DELIMIT(" "),   __DELIMIT(" ") , 
		1,  __DELIMIT(";-"),  __DELIMIT(" "),   __DELIMIT(" ") , 
		1,  __DELIMIT(";"),   __DELIMIT(" "),   __DELIMIT(" ")   
			,
		    __EXTENSION("Z80"),
		1,  __DELIMIT(";+"),  __DELIMIT(" "),   __DELIMIT(" ") , 
		1,  __DELIMIT(";-"),  __DELIMIT(" "),   __DELIMIT(" ") , 
		1,  __DELIMIT(";"),   __DELIMIT(" "),   __DELIMIT(" ")   
			,
		    __EXTENSION("68K"),
		1,  __DELIMIT(";+"),  __DELIMIT(" "),   __DELIMIT(" ") , 
		1,  __DELIMIT(";-"),  __DELIMIT(" "),   __DELIMIT(" ") , 
		1,  __DELIMIT(";"),   __DELIMIT(" "),   __DELIMIT(" ")   
/* am told Prolog uses %  but don't know file extension yet.  */
/* Modula 2 probably uses same codes as Pascal, but don't know extension. */
		     };

#define  ext_count   (sizeof (extensions)/ sizeof (struct filetype))
