$ verify = 'F$VERIFY(0)'
$!.. ADDTOLIB.COM		!Add/update one or more FERMILIB modules
$ IF p1 .EQS. "" THEN $ INQUIRE  p1  "Files"
$ IF p1 .EQS. "" THEN $ GOTO L1$
$ IF F$TRNLNM( "FERMI$LIB_LIBSRC") .EQS. "" THEN -
$	DEFINE	FERMI$LIB_LIBSRC	SOURCE_ROOT:[FERMILIB.ROUTINES]
$ INQUIRE/NOPUNCTUATION  listings  "Generate listings [Y/<N>]? "
$ IF listings .EQS. "" THEN listings = "NO"
$ IF listings THEN $ CREATE FERMILIB.LIS
$ object := /OBJECT=OBJECT.TMP		!Setup qualifiers for compilations
$ listing1 := /NOLIST
$ listing2 := /NOLIST
$ listing3 := /NOLIST
$ IF (.NOT. listings) THEN $ GOTO SKIP_LIST_SETUP
$ listing1 := /LIST=LISTING.TMP/CROSS_REFERENCE
$ listing2 := /LIST=LISTING.TMP
$ listing3 := /LIST=LISTING.TMP/SHOW=SYMBOLS
$SKIP_LIST_SETUP:
$ SET NOON
$ any_failed = 0
$LIST_LOOP:				!Loop over all the source files
$ IF p1.EQS."" THEN $ GOTO END_OUTER_LOOP
$ l = F$LOCATE(",",p1)
$ afile = F$EXTRACT(0,l,p1)
$ p1 = p1 - afile
$ IF F$EXTRACT(0,1,p1).EQS."," THEN p1 = F$EXTRACT(1,F$LENGTH(p1),p1)
$ IF afile.EQS."" THEN $ GOTO LIST_LOOP
$ afile = F$PARSE(afile,"FERMI$LIB_LIBSRC:.*")
$ l = F$LENGTH(afile)
$ wildcards = (F$LOCATE("*",afile).LT.l) .OR. (F$LOCATE("%",afile).LT.l)
$SEARCH_LOOP:
$ input = F$SEARCH(afile)
$ IF input.EQS."" THEN $ GOTO LIST_LOOP
$ file_type = F$PARSE(input,,,"TYPE") - "."	!Get file name and tyupe
$ file_name = F$PARSE(input,,,"NAME")
$ GOTO DO_'file_type'
$ WRITE SYS$OUTPUT "??Unknown source file type: ",file_name,".",file_type
$ IF wildcards THEN $ GOTO SEARCH_LOOP
$ GOTO LIST_LOOP
$DO_C:						!VAX C compilation
$ WRITE SYS$OUTPUT "$>>  CC       ",file_name
$ CC'object''listing3'  FERMI$LIB_LIBSRC:'file_name'
$ IF (.NOT. $status) THEN $ GOTO FAILURE_CONC
$ GOTO CONCATENATE
$DO_FOR:					!VAX FORTRAN compilation
$ WRITE SYS$OUTPUT "$>>  FORTRAN  ",file_name
$ FORTRAN'object''listing1'  FERMI$LIB_LIBSRC:'file_name'
$ IF (.NOT. $status) THEN $ GOTO FAILURE_CONC
$ GOTO CONCATENATE
$DO_MAR:					!VAX MACRO assembly
$ WRITE SYS$OUTPUT "$>>  MACRO    ",file_name
$ MACRO'object''listing1'/DISABLE=DEBUG  FERMI$LIB_LIBSRC:'file_name'
$ IF (.NOT. $status) THEN $ GOTO FAILURE_CONC
$ GOTO CONCATENATE
$DO_MSG:					!MESSAGE compilation
$ WRITE SYS$OUTPUT "$>>  MESSAGE  ",file_name
$ MESSAGE'object''listing2'  FERMI$LIB_LIBSRC:'file_name'
$ IF (.NOT. $status) THEN $ GOTO FAILURE_CONC
$ GOTO CONCATENATE
$DO_PAS:					!VAX PASCAL compilation
$ WRITE SYS$OUTPUT "$>>  PASCAL   ",file_name
$ PASCAL'object''listing1'/NOSTANDARD  FERMI$LIB_LIBSRC:'file_name'
$ IF (.NOT. $status) THEN $ GOTO FAILURE_CONC
$ GOTO CONCATENATE
$CONCATENATE:			!Concatenate object and listing files
$ APPEND/NEW  OBJECT.TMP  MODULES.OBS
$ IF (listings) THEN $ APPEND/NEW  LISTING.TMP  FERMILIB.LIS
$ IF wildcards THEN $ GOTO SEARCH_LOOP
$ GOTO LIST_LOOP
$FAILURE_CONC:
$ any_failed = 1
$ IF (listings) THEN $ APPEND/NEW  LISTING.TMP  FAILURES.LIS
$ IF wildcards THEN $ GOTO SEARCH_LOOP
$ GOTO LIST_LOOP
$END_OUTER_LOOP:
$ SET MESSAGE/NOFACILITY/NOSEVERITY/NOIDENTIFICATION/NOTEXT
$ DELETE OBJECT.TMP;*,LISTING.TMP;*
$ PURGE *.OBS,*.LIS
$ SET MESSAGE/FACILITY/SEVERITY/IDENTIFICATION/TEXT
$ IF (.NOT.any_failed) THEN $ GOTO SUCCEEDED
$ DELETE MODULES.OBS;*
$ IF (listings) THEN PRINT/DELETE FAILURES
$ WRITE SYS$OUTPUT "??One or more compilations/assemblies failed!"
$ EXIT	F$VERIFY(verify).OR.1
$SUCCEEDED:
$ IF (listings) THEN $ LCPRINT/DELETE FERMILIB
$ WRITE SYS$OUTPUT "  Adding modules to FERMILIB.OLB."
$ old_privs = F$SETPRV("SYSPRV")
$ SET MESSAGE/NOFACILITY/NOSEVERITY/NOIDENTIFICATION
$ LIBRARY/OBJECT/REPLACE/LOG	FERMI$LIB:FERMILIB	MODULES.OBS
$ SET MESSAGE/FACILITY/SEVERITY/IDENTIFICATION/TEXT
$ old_privs = F$SETPRV(old_privs)
$ DELETE MODULES.OBS;*
$END_REBUILD:
$ EXIT	F$VERIFY(verify).OR.1
$!=============================================================================
$! ADDTOLIB.COM
$!
$!+ ADDTOLIB
$! Procedure to add to FERMILIB.OLB by compiling/assembling the
$! list of source files of the library routines to be added.
$! The file types of .C, .FOR, .MAR, .PAS, and .MSG of the sources are
$! used to select the compiler/assembler for the source file.
$! The source files must be stored in [LIBRARY.SOURCES.ROUTINES]
$! in the FERMI$ROOT: rooted device.  To use, execute the procedure by:
$!
$!      @FERMI$LIB_UTIL:ADDTOLIB  file[,file...]
$!
$! You will be asked if a listing file is to be created and
$! printed.
$!-
$!=============================================================================
$! Modifications:
$!  05-Oct-82	FJN	Created from BUILDLIB.COM
$!  09-Oct-82	FJN	Fixed looping problem due to no wildcards in a file
$!			Add C support, /CROSS to FORTRAN and /NOSTANDARD to
$!			PASCAL
$!  15-Jul-83	FJN	Use LCPRINT and remove LIBRARY/LIST printout
$!  30-Nov-83	FJN	Moved to FERMI rooted directory tree
$!  07-Jan-84	FJN	Make compatible with BUILDLIB
$!  09-Aug-84	FJN	Dropped FERMILIB from SYS$LIBRARY:
$!  24-Jun-86	FJN	Moved/compressed comments, moved to SOURCE_ROOT tree
