	OPTIONS	/EXTEND_SOURCE
	INTEGER*4 FUNCTION LIB_CVT_LT_VST( clinks, clunks)
	IMPLICIT NONE
C
C+ LIB_CVT_LT_VST
C Converts time from a longword count of seconds since January 1, 1972
C to VMS system time format in a quadword:
C
C  status = LIB_CVT_LT_VST( clinks, clunks)
C
C status    completion status, returned by value.
C               SS$_NORMAL    successful return
C               SS$_IVTIME    invalid time value
C
C clinks    Longword time in seconds since January 1, 1972.  Passed
C           by reference.
C
C clunks    Return time in quadword in VMS system time units.  Passed
C           by reference.
C-
	INTEGER*4 clinks		!Input time in seconds
	REAL*8 clunks			!Output time quadword
C
	CHARACTER*24 tstr		!Temporary output string
	INTEGER*4 LIB_CVT_LT_STR	!Converts clinks to ASCII time
	INTEGER*4 SYS$BINTIM		!ASCII to binary (VMS) time
C
	clunks = 0.0			!Return T=0 if error
	LIB_CVT_LT_VST = LIB_CVT_LT_STR( clinks, tstr, %VAL(1))
	IF (.NOT. LIB_CVT_LT_VST) RETURN
	LIB_CVT_LT_VST = SYS$BINTIM( tstr, clunks)
C
	RETURN
	END
C
C Author:	Al Thomas	Fermilab Accelerator/Operations
C Modification History:
C V1.0	22-Mar-86  FJN	Renamed as LIB_CVT_LT_VST, calling sequence modified,
C			and setup to be added to FERMILIB and installed as a
C			Datatrieve function.
