$ verify = 'F$VERIFY(0)'
$!.. TLBDOCUMENT.COM		Make listing of contents of text library
$ name = F$PARSE(p1,,, "NAME")		!Extract file name and type from input
$ p1 = F$PARSE(p1, "SYS$DISK:[].TLB")	!Establish defaults
$ area = F$PARSE(p1,,, "DEVICE") + F$PARSE(p1,,, "DIRECTORY")
$ IF area .EQS. "SYS$SYSROOT:[SYSLIB]" THEN area = "SYS$LIBRARY:"
$ IF area .EQS. "FERMI$ROOT:[LIBRARY]" THEN area = "FERMI$LIB:"
$ libe = area + name
$ LBR := LIBRARY/TEXT			!Type qualifier for LIBRARY commands
$ LBR /LIST='name'.TMC	'p1'		!Make file listing the module directory
$ LBR /LIST='name'.LIS /FULL	'p1'	!Start listing with module directory
$ verified = F$VERIFY(0)
$ OPEN/READ	MDIR	'name'.TMC	!Open module directory listing
$ OPEN/APPEND	MLST	'name'.LIS	!Create module listing file
$ count = 0
$ formfeed[0,8]= 12      		!"<FF> "
$ formfeed[1,1]:= " "
$SKIP_LOOP:			!Skip header information in module listing
$ READ  MDIR  line
$ count = count + 1
$ IF count.LT.8 THEN $ GOTO SKIP_LOOP
$ n = 0
$ sharps = F$FAO("!15*#") + "  "
$ spaces = F$FAO("!50* ")
$MODULE_READ:			!Read line from module directory
$ READ/END_OF_FILE=END_LIST  MDIR  line
$ module := 'line'		!Eliminate any spaces and make all caps
$ file = module - "." - ".."	!Beware of macros with .'s
$ LBR/EXTRACT='module'/OUTPUT='file'.TMP  'p1'	!Extract to temporary file
$ l = F$LENGTH(module)		!Append form feed and module identifier
$ count = 99
$ m = 0
$ n = n + 1
$ WRITE SYS$OUTPUT "	Processing library module ",module
$ OPEN/READ	MCON	'file'.TMP
$MODULE_LINE_READ:
$ READ/END_OF_FILE=END_MODULE	MCON	line
$ IF count .LT. 85 THEN $ GOTO MODULE_LINE_WRITE
$ m = m + 1
$ WRITE	MLST	formfeed,sharps,libe,"(",module,")",spaces,"Page ",n,".",m
$ WRITE MLST	" "
$ WRITE MLST	" "
$ count = 0
$MODULE_LINE_WRITE:
$ IF F$LENGTH(line) .GT. 132 THEN line = F$EXTRACT(0,132,line)
$ WRITE	MLST	line
$ count = count + 1
$ GOTO MODULE_LINE_READ
$END_MODULE:
$ CLOSE	MCON
$ DELETE  'file'.TMP;*
$ GOTO MODULE_READ
$END_LIST:				!Module directory EOF
$ CLOSE	MDIR
$ CLOSE	MLST
$ DELETE  'name'.TMC;*
$ DEFINE/USER_MODE	SYS$OUTPUT	NLA0:
$ QDRIVE	SYS$INPUT:	'name'.LIS
INPUT
 Ifile 
 Itype Ascii
 Range (1-*)
 Quic No
OUTPUT
 Ofile dualpages.lis
 Spool Yes
 Forms GRAPHICS
 Queue LASER
 Collate Yes
 Copies 1
 Delete Yes
 Nup 2 Vert
 Tray Normal
PARAMS
 Orient Landscape
 Psize Letter
 Wpage 11.000
 Lpage 8.500
 Lmargin 0.200
 Tmargin 0.700
 Bind 0.000
 Pitch 25.000
 Lpi 12.000
 Lines 92
 Center Yes
FONT
 Dfont s1225
 Afont es612
 Shadow sb612
 Bold sb612
 Under su612
 Ftable sys_wp:wp.ftb
OVERLAY 1
 CLEAR
OVERLAY 2
 CLEAR
OVERLAY 3
 CLEAR
OVERLAY 4
 CLEAR
OVERLAY 1
 QUIT RUN
$ DELETE  'name'.LIS;*
$ EXIT	F$VERIFY(verify).OR.1
$!=============================================================================
$! TLBDOCUMENT.COM
$!
$!+ TLBDOCUMENT
$! This procedure will prepare a listing of the contents of the modules
$! in a macro or text library.  The listing will be printed on a Talaris
$! laser printer (default queue LASER) using QDRIVE to output multiple
$! pages per sheet of paper.  The format of the procedure call is:
$!
$!	@FERMI$UTIL:TLBDOCUMENT  library-spec
$!
$! where library-spec is the library file specification (default file type
$! of .TLB is used).
$!-
$!=============================================================================
$! Modification History:
$!  13-Feb-86	FJN	Created from MTLBLIST to provide "documentation" form
$!			of text library listings to be maintained in a notebook
$!  15-Feb-86	FJN	Initial debugging
$!  16-Feb-86	FJN	"Final" working form changes
