/*+ PRDEF
 Processor register definitions
*/
/* Extracted from V4.4 SYS$LIBRARY:STARLET.REQ on  10-Jun-1986 */
#define PR$_KSP		0	/* kernel stack pointer */
#define PR$_ESP		1	/* executive stack pointer */
#define PR$_SSP		2	/* supervisor stack pointer */
#define PR$_USP		3	/* user stack pointer */
#define PR$_ISP		4	/* interrupt stack pointer */
#define PR$_P0BR	8	/* p0 base register */
#define PR$_P0LR	9	/* p0 limit register */
#define PR$_P1BR	10	/* p1 base register */
#define PR$_P1LR	11	/* p1 limit register */
#define PR$_SBR		12	/* system base register */
#define PR$_SLR		13	/* system limit register */
#define PR$_PCBB	16	/* process control block base */
#define PR$_SCBB	17	/* system control block base */
#define PR$_IPL		18	/* interrupt priority level register */
#define PR$_ASTLVL	19	/* ast level register */
#define PR$_SIRR	20	/* software interrupt request register */
#define PR$_SISR	21	/* software interrupt summary register */
#define PR$_ICCS	24	/* interval clock control status register */
#define PR$_RXCS	32	/* console reciever control status register */
#define PR$_RXDB	33	/* console receiver data buffer register */
#define PR$_TXCS	34	/* console transmit control status register */
#define PR$_TXDB	35	/* console transmit data buffer register */
#define PR$_MAPEN	56	/* mapping enable register */
#define PR$_TBIA	57	/* translation buffer invalidate all */
#define PR$_TBIS	58	/* translation buffer invalidate single */
#define PR$_SID		62	/* system identification register */
#define PR$_TBCHK	63	/* translation buffer valid check */
#define PR$_SID_TYP780	1	/* vax 11/780 */
#define PR$_SID_TYP750	2	/* vax 11/750 */
#define PR$_SID_TYP730	3	/* vax 11/730 */
#define PR$_SID_TYP790	4	/* vax 11/790 */
#define PR$_SID_TYP8SS	5	/* scorpio for now */
#define PR$_SID_TYP8NN	6	/* nautilus for now */
#define PR$_SID_TYPMAX	8	/* max legal cpu type */
/*
 MicroVAX cpus
*/
#define PR$_SID_TYPUV1	7	/* microvax i */
#define PR$_SID_TYPUV2	8	/* microvax ii */
#define PR$_SID_TYP640	8	/* vaxstar */
/*
 Chip CPU types
*/
#define PR$_SID_TYPUV	8	/* microvax chip */
/*
 MicroVAX chip CPU Subtypes
*/
#define PR$_XSID_UV_UV	0	/* generic microvax (unused subtype) */
#define PR$_XSID_UV_UV2	1	/* microvax ii */
#define PR$_XSID_UV_640	4	/* vaxstar */
/*
 Nautilus CPU Subtypes
*/
#define PR$_XSID_N8800	0	/* vax 8800 */
#define PR$_XSID_N1	1	/* undefined nautilus cpu */
#define PR$_XSID_N2	2	/* undefined nautilus cpu */
#define PR$_XSID_N3	3	/* undefined nautilus cpu */
#define PR$_XSID_N4	4	/* undefined nautilus cpu */
#define PR$_XSID_N5	5	/* undefined nautilus cpu */
#define PR$_XSID_N6	6	/* undefined nautilus cpu */
#define PR$_XSID_N8500	7	/* vax 8500 */
#define PR$_XSID_N8NNN	(-1)	/* unknown nautilus cpu */
/*
 VAX 11/780 IPR'S:
*/
#define PR$_WCSA	44	/* wcs address register */
#define PR$_WCSD	45	/* wcs data register */
#define PR$_SBIFS	48	/* sbi fault status register */
#define PR$_SBIS	49	/* sbi silo register */
#define PR$_SBISC	50	/* sbi comparator register */
#define PR$_SBIMT	51	/* sbi maintenance register */
#define PR$_SBIER	52	/* sbi error register */
#define PR$_SBITA	53	/* sbi timeout address register */
#define PR$_SBIQC	54	/* sbi quadword clear register */
/*
 END OF VAX 11/780-SPECIFIC IPR'S
*/
#define PR$_CMIERR	23	/* cmi error summary register */
#define PR$_CSRS	28	/* console blk store rcv status */
#define PR$_CSRD	29	/* console blk store rcv data */
#define PR$_CSTS	30	/* console blk store xmit status */
#define PR$_CSTD	31	/* console blk store xmit data */
#define PR$_TBDR	36	/* tb disable register */
#define PR$_CADR	37	/* cache disable register */
#define PR$_MCESR	38	/* machine check error summary reg */
#define PR$_CAER	39	/* cache error register */
#define PR$_UBRESET	55	/* unibus i/o reset register */
/*
 END OF 11/750 AND 11/730 IPR'S
*/
#define PR$_PAMACC	64	/* pamm access */
#define PR$_PAMLOC	65	/* pamm location */
#define PR$_CSWP	66	/* cache sweep register */
#define PR$_MDECC	67	/* mbox data ecc register */
#define PR$_MENA	68	/* mbox error enable register */
#define PR$_MDCTL	69	/* mbox data control register */
#define PR$_MCCTL	70	/* mbox mcc control register */
#define PR$_MERG	71	/* mbox error generator register */
#define PR$_CRBT	72	/* console reboot */
#define PR$_DFI		73	/* diagnostic fault insertion */
#define PR$_EHSR	74	/* error handling status register */
#define PR$_ACCS790	75	/* accelerator status register */
#define PR$_STXCS	76	/* console storage control reg */
#define PR$_STXDB	77	/* console storage data register */
#define PR$_LSPA	78	/* scratchpad address */
#define PR$_RSPD	79	/* scratchpad data */
/*
 END OF 11/790 PROCESSOR-SPECIFIC IPRS
*/
#define PR$S_PRDEF	4
struct PRDEF_SID {
    unsigned pr$v_sid_sn : 12;		/* serial number field */
    unsigned pr$v_sid_pl : 3;		/* plant id */
    unsigned pr$v_sid_eco : 9;		/* eco level */
    unsigned pr$v_sid_type : 8;		/* cpu type code */
    };
struct PRDEF_XSID {
    unsigned : 24;			/* undefined xsid bits */
    unsigned pr$v_xsid_type : 8;	/* cpu subtype code */
    };
/*
 SYSTEM ID REGISTER CPU TYPES
 Number assignments are based upon the jumpers
 read by the console from the MPS backplane
*/
 
