/*+ SJCDEF
 Send to Job Controller Service ($SNDJBC) codes
*/
/* Extracted from V4.4 SYS$LIBRARY:STARLET.REQ on  10-Jun-1986 */
				/* Function Codes */
#define SJC$_ABORT_JOB		1	/* abort current job in a queue */
#define SJC$_ADD_FILE		2	/* add a file to an open job */
#define SJC$_ALTER_JOB		3	/* alter parameters of a job */
#define SJC$_ALTER_QUEUE	4	/* alter parameters of a queue */
#define SJC$_ASSIGN_QUEUE	5	/* assign a logical queue to an execution queue */
#define SJC$_BATCH_CHECKPOINT	6	/* establish a checkpoint in a batch job */
#define SJC$_BATCH_SERVICE	7	/* loginout communication */
#define SJC$_CLOSE_DELETE	8	/* close and delete an open job */
#define SJC$_CLOSE_JOB		9	/* close and enqueue an open job */
#define SJC$_CREATE_JOB		10	/* create an open job */
#define SJC$_CREATE_QUEUE	11	/* create a queue */
#define SJC$_DEASSIGN_QUEUE	12	/* deassign a logical queue */
#define SJC$_DEFINE_CHARACTERISTIC 13	/* create a characteristic definition */
#define SJC$_DEFINE_FORM	14	/* create a form definition */
#define SJC$_DELETE_CHARACTERISTIC 15	/* delete a characteristic definition */
#define SJC$_DELETE_FORM	16	/* delete a form definition */
#define SJC$_DELETE_JOB		17	/* delete a job */
#define SJC$_DELETE_QUEUE	18	/* delete a queue */
#define SJC$_ENTER_FILE		19	/* enter a single file job in a queue */
#define SJC$_MERGE_QUEUE	20	/* requeue all jobs in one queue to another */
#define SJC$_PAUSE_QUEUE	21	/* suspend processing from a queue */
#define SJC$_RESET_QUEUE	22	/* reset a queue */
#define SJC$_START_ACCOUNTING	23	/* start accounting manager */
#define SJC$_START_QUEUE	24	/* start processing from a queue */
#define SJC$_START_QUEUE_MANAGER 25	/* start system job queue manager */
#define SJC$_STOP_ACCOUNTING	26	/* stop accounting manager */
#define SJC$_STOP_QUEUE		27	/* stop processing from a queue */
#define SJC$_STOP_QUEUE_MANAGER	28	/* stop system job queue manager */
#define SJC$_SYNCHRONIZE_JOB	29	/* synchronize with job completion */
#define SJC$_WRITE_ACCOUNTING	30	/* write user accounting record */
#define SJC$_RESERVED_FUNC_1	31	/* reserved for digital use (name may change) */
#define SJC$_RESERVED_FUNC_2	32	/* reserved for digital use (name may change) */
				/* Item codes */
#define SJC$_ACCOUNTING_MESSAGE	1	/* user accounting message */
#define SJC$_ACCOUNTING_TYPES	2	/* mask of accounting record types */
#define SJC$_AFTER_TIME		3	/* hold until time */
#define SJC$_NO_AFTER_TIME	4
#define SJC$_ALIGNMENT_MASK	5	/* mask alignment data */
#define SJC$_ALIGNMENT_PAGES	6	/* number of alignment pages */
#define SJC$_BASE_PRIORITY	7	/* batch process base priority */
#define SJC$_BATCH		8	/* batch queue */
#define SJC$_NO_BATCH		9
#define SJC$_BATCH_INPUT	10	/* loginout communication */
#define SJC$_BATCH_OUTPUT	11
#define SJC$_CHARACTERISTIC_NAME 12	/* printer characteristic */
#define SJC$_CHARACTERISTIC_NUMBER 13
#define SJC$_NO_CHARACTERISTICS	14
#define SJC$_CHECKPOINT_DATA	15	/* batch checkpoint string */
#define SJC$_NO_CHECKPOINT_DATA	16
#define SJC$_CLI		17	/* batch process cli */
#define SJC$_NO_CLI		18
#define SJC$_CPU_DEFAULT	19	/* default cpu time limit */
#define SJC$_NO_CPU_DEFAULT	20
#define SJC$_CPU_LIMIT		21	/* maximum cpu time limit */
#define SJC$_NO_CPU_LIMIT	22
#define SJC$_CREATE_START	23	/* start queue after creation */
#define SJC$_DELETE_FILE	24	/* delete file after processing */
#define SJC$_NO_DELETE_FILE	25
#define SJC$_DESTINATION_QUEUE	26	/* destination queue name */
#define SJC$_DEVICE_NAME	27	/* output device name */
#define SJC$_DOUBLE_SPACE	28	/* double space output */
#define SJC$_NO_DOUBLE_SPACE	29
#define SJC$_ENTRY_NUMBER	30	/* job entry number */
#define SJC$_ENTRY_NUMBER_OUTPUT 31
#define SJC$_FILE_BURST		32	/* print file burst page */
#define SJC$_FILE_BURST_ONE	33
#define SJC$_NO_FILE_BURST	34
#define SJC$_FILE_COPIES	35	/* print n copies of file */
#define SJC$_FILE_FLAG		36	/* print file flag page */
#define SJC$_FILE_FLAG_ONE	37
#define SJC$_NO_FILE_FLAG	38
#define SJC$_FILE_IDENTIFICATION 39	/* dvi, fid, did of file */
#define SJC$_FILE_SETUP_MODULES	40	/* device control modules for file */
#define SJC$_NO_FILE_SETUP_MODULES 41
#define SJC$_FILE_SPECIFICATION	42	/* file specification of file */
#define SJC$_FILE_TRAILER	43	/* print file trailer page */
#define SJC$_FILE_TRAILER_ONE	44
#define SJC$_NO_FILE_TRAILER	45
#define SJC$_FIRST_PAGE		46	/* starting page number */
#define SJC$_NO_FIRST_PAGE	47
#define SJC$_FORM_DESCRIPTION	48	/* textual description of form */
#define SJC$_FORM_LENGTH	49	/* form length in lines */
#define SJC$_FORM_MARGIN_BOTTOM	50	/* form bottom margin in lines */
#define SJC$_FORM_MARGIN_LEFT	51	/* form left margin in characters */
#define SJC$_FORM_MARGIN_RIGHT	52	/* form right margin in characters */
#define SJC$_FORM_MARGIN_TOP	53	/* form top margin in lines */
#define SJC$_FORM_NAME		54	/* printer form */
#define SJC$_FORM_NUMBER	55
#define SJC$_FORM_SETUP_MODULES	56	/* device control modules for form */
#define SJC$_NO_FORM_SETUP_MODULES 57
#define SJC$_FORM_SHEET_FEED	58	/* form is sheet fed */
#define SJC$_NO_FORM_SHEET_FEED	59
#define SJC$_FORM_STOCK		60	/* stock name for form */
#define SJC$_FORM_TRUNCATE	61	/* truncate long lines */
#define SJC$_NO_FORM_TRUNCATE	62
#define SJC$_FORM_WIDTH		63	/* form width in characters */
#define SJC$_FORM_WRAP		64	/* wrap long lines */
#define SJC$_NO_FORM_WRAP	65
#define SJC$_GENERIC_QUEUE	66	/* queue is a generic queue */
#define SJC$_NO_GENERIC_QUEUE	67
#define SJC$_GENERIC_SELECTION	68	/* queue can take work from generic queue */
#define SJC$_NO_GENERIC_SELECTION 69
#define SJC$_GENERIC_TARGET	70	/* possible execution queue for generic queue */
#define SJC$_HOLD		71	/* place job on hold */
#define SJC$_NO_HOLD		72
#define SJC$_JOB_BURST		73	/* print job burst page */
#define SJC$_NO_JOB_BURST	74
#define SJC$_JOB_COPIES		75	/* print n copies of entire job */
#define SJC$_JOB_FLAG		76	/* print job flag page */
#define SJC$_NO_JOB_FLAG	77
#define SJC$_JOB_LIMIT		78	/* number of concurrent jobs */
#define SJC$_JOB_NAME		79	/* identifying name of job */
#define SJC$_JOB_RESET_MODULES	80	/* device control modules between jobs */
#define SJC$_NO_JOB_RESET_MODULES 81
#define SJC$_JOB_SIZE_MAXIMUM	82	/* largest job accepted by printer */
#define SJC$_NO_JOB_SIZE_MAXIMUM 83
#define SJC$_JOB_SIZE_MINIMUM	84	/* smallest job accepted by printer */
#define SJC$_NO_JOB_SIZE_MINIMUM 85
#define SJC$_JOB_SIZE_SCHEDULING 86	/* schedule printer queues by size */
#define SJC$_NO_JOB_SIZE_SCHEDULING 87
#define SJC$_JOB_STATUS_OUTPUT	88	/* status message for submitted job */
#define SJC$_JOB_TRAILER	89	/* print job trailer page */
#define SJC$_NO_JOB_TRAILER	90
#define SJC$_LAST_PAGE		91	/* ending page number */
#define SJC$_NO_LAST_PAGE	92
#define SJC$_LIBRARY_SPECIFICATION 93	/* filename of device control library */
#define SJC$_NO_LIBRARY_SPECIFICATION 94
#define SJC$_LOG_DELETE		95	/* delete log file */
#define SJC$_NO_LOG_DELETE	96
#define SJC$_LOG_QUEUE		97	/* log file's print queue */
#define SJC$_LOG_SPECIFICATION	98	/* file specification of log file */
#define SJC$_NO_LOG_SPECIFICATION 99
#define SJC$_LOG_SPOOL		100	/* print log file */
#define SJC$_NO_LOG_SPOOL	101
#define SJC$_LOWERCASE		102	/* print on lowercase printer */
#define SJC$_NO_LOWERCASE	103
#define SJC$_NEW_VERSION	104	/* create new version of file */
#define SJC$_NEXT_JOB		105	/* resume at next job */
#define SJC$_NOTE		106	/* flag page note text */
#define SJC$_NO_NOTE		107
#define SJC$_NOTIFY		108	/* notify user on completion */
#define SJC$_NO_NOTIFY		109
#define SJC$_OPERATOR_REQUEST	110	/* operator service text */
#define SJC$_NO_OPERATOR_REQUEST 111
#define SJC$_OWNER_UIC		112	/* queue owner uic */
#define SJC$_PAGE_HEADER	113	/* print page headers */
#define SJC$_NO_PAGE_HEADER	114
#define SJC$_PAGE_SETUP_MODULES	115	/* device control modules for form page */
#define SJC$_NO_PAGE_SETUP_MODULES 116
#define SJC$_PAGINATE		117	/* paginate output with free form feeds */
#define SJC$_NO_PAGINATE	118
#define SJC$_PARAMETER_1	119	/* batch job parameters */
#define SJC$_PARAMETER_2	120
#define SJC$_PARAMETER_3	121
#define SJC$_PARAMETER_4	122
#define SJC$_PARAMETER_5	123
#define SJC$_PARAMETER_6	124
#define SJC$_PARAMETER_7	125
#define SJC$_PARAMETER_8	126
#define SJC$_NO_PARAMETERS	127
#define SJC$_PASSALL		128	/* print file passall */
#define SJC$_NO_PASSALL		129
#define SJC$_PRIORITY		130	/* job scheduling priority */
#define SJC$_PROCESSOR		131	/* filename of symbiont image */
#define SJC$_NO_PROCESSOR	132
#define SJC$_PROTECTION		133	/* queue protection mask */
#define SJC$_QUEUE		134	/* queue on which to operate */
#define SJC$_QUEUE_FILE_SPECIFICATION 135	/* file specification of queue file */
#define SJC$_RELATIVE_PAGE	136	/* resume after forward or back space */
#define SJC$_REQUEUE		137	/* requeue job */
#define SJC$_RESTART		138	/* job can restart */
#define SJC$_NO_RESTART		139
#define SJC$_RETAIN_ALL_JOBS	140	/* retain completed jobs */
#define SJC$_RETAIN_ERROR_JOBS	141
#define SJC$_NO_RETAIN_JOBS	142
#define SJC$_SCSNODE_NAME	143	/* node name of execution node */
#define SJC$_SEARCH_STRING	144	/* resume after finding string */
#define SJC$_SWAP		145	/* swap batch processes */
#define SJC$_NO_SWAP		146
#define SJC$_TERMINAL		147	/* queue is a (generic) terminal queue */
#define SJC$_NO_TERMINAL	148
#define SJC$_TOP_OF_FILE	149	/* resume at top of file */
#define SJC$_USER_IDENTIFICATION 150	/* proxy user identification (reserved for digital use only) */
#define SJC$_WSDEFAULT		151	/* working set default */
#define SJC$_NO_WSDEFAULT	152
#define SJC$_WSEXTENT		153	/* working set extent */
#define SJC$_NO_WSEXTENT	154
#define SJC$_WSQUOTA		155	/* working set quota */
#define SJC$_NO_WSQUOTA		156
#define SJC$_ACCOUNT_NAME	157	/* proxy account name (requires cmkrnl privilege) */
#define SJC$_UIC		158	/* proxy uic (requires cmkrnl privilege) */
#define SJC$_USERNAME		159	/* proxy username (requires cmkrnl privilege) */
#define SJC$_BUFFER_COUNT	160	/* multibuffer count for queue file */
#define SJC$_EXTEND_QUANTITY	161	/* allocation and extend quantity for queue file */
#define SJC$_RECORD_BLOCKING	162	/* symbiont record blocking of output stream */
#define SJC$_NO_RECORD_BLOCKING	163
#define SJC$_QUEMAN_RESTART	164	/* qualifier on sjc$_start_queue_manager, restart queue manager after an abort */
#define SJC$_NO_QUEMAN_RESTART	165
#define SJC$_DEFAULT_FORM_NAME	166	/* default queue form name */
#define SJC$_DEFAULT_FORM_NUMBER 167	/* default queue form number */
#define SJC$_RESERVED_INPUT_3	168	/* reserved for digital use (name may change) */
#define SJC$_RESERVED_INPUT_4	169	/* reserved for digital use (name may change) */
#define SJC$_RESERVED_OUTPUT_1	170	/* reserved for digital use (name may change) */
#define SJC$_RESERVED_OUTPUT_2	171	/* reserved for digital use (name may change) */
/*
 Structure of ACCOUNTING_TYPES item.  These definitions must track
 EXE$GL_ACMFLAGS.
*/
#define SJC$M_ACCT_PROCESS	0X1
#define SJC$M_ACCT_IMAGE	0X2
#define SJC$M_ACCT_INTERACTIVE	0X4
#define SJC$M_ACCT_LOGIN_FAILURE 0X8
#define SJC$M_ACCT_SUBPROCESS	0X10
#define SJC$M_ACCT_DETACHED	0X20
#define SJC$M_ACCT_BATCH	0X40
#define SJC$M_ACCT_NETWORK	0X80
#define SJC$M_ACCT_PRINT	0X100
#define SJC$M_ACCT_MESSAGE	0X200
#define SJC$S_ACCOUNTING_TYPES	4
#define SJC$V_ACCT_PROCESS	0	/* process termination */
#define SJC$V_ACCT_IMAGE	1	/* image termination */
#define SJC$V_ACCT_INTERACTIVE	2	/* interactive processes */
#define SJC$V_ACCT_LOGIN_FAILURE 3	/* login failures */
#define SJC$V_ACCT_SUBPROCESS	4	/* subprocesses */
#define SJC$V_ACCT_DETACHED	5	/* detached processes */
#define SJC$V_ACCT_BATCH	6	/* batch processes */
#define SJC$V_ACCT_NETWORK	7	/* network processes */
#define SJC$V_ACCT_PRINT	8	/* print job termination */
#define SJC$V_ACCT_MESSAGE	9	/* user messages */
#define SJC$V_ACCT_UNUSED	10
#define SJC$S_ACCT_UNUSED	22
 
