/*+ PSMDEF
 Symbolic definitions for print symbionts.
 Extracted from V4.4 SYS$LIBRARY:LIB.REQ on  10-Jun-1986

 Service routine function codes
*/
#define PSM$K_CANCEL		1	/* cancel pending operations */
#define PSM$K_CLOSE		2	/* release resources */
#define PSM$K_FORMAT		3	/* format buffer */
#define PSM$K_OPEN		4	/* obtain resources */
#define PSM$K_READ		5	/* read */
#define PSM$K_GET_KEY		6	/* read record key */
#define PSM$K_POSITION_TO_KEY	7	/* read by record context */
#define PSM$K_REWIND		8	/* rewind file */
#define PSM$K_WRITE		9	/* write */
#define PSM$K_WRITE_NOFORMAT	10	/* write with driver formatting disabled */
#define PSM$K_WRITE_SUPPRESSED	11	/* write but suppress output */
/*
 Message notification functions
*/
#define PSM$K_PAUSE_TASK	12	/* stop /queue */
#define PSM$K_RESET_STREAM	13	/* stop /queue /reset */
#define PSM$K_RESUME_TASK	14	/* start /queue	(when paused) */
#define PSM$K_START_STREAM	15	/* start /queue (when stopped) */
#define PSM$K_START_TASK	16	/* (ofiginated by job controller) */
#define PSM$K_STOP_TASK		17	/* stop /queue /abort or /requeue */
#define PSM$K_STOP_STREAM	18	/* stop /queue /next */
/*
 Replacement routines
 
 Task services -- where applicable the ordering of these literals
 determines the sequence of the corresponding service routines.
 
 Page services
*/
#define PSM$K_PAGE_SETUP	1	/* page setup	    - page setup modules */
#define PSM$K_PAGE_HEADER	2	/* page separation  - page headers */
/*
 Library module service
*/
#define PSM$K_LIBRARY_INPUT	3	/* module services */
/*
 Filter services
*/
#define PSM$K_INPUT_FILTER	4	/* filter service   - input */
#define PSM$K_MAIN_FORMAT	5	/* format service   - carriage control */
#define PSM$K_OUTPUT_FILTER	6	/* filter service   - output */
/*
 Output services
*/
#define PSM$K_OUTPUT		7	/* main output routine */
/*
 General input services
*/
#define PSM$K_JOB_SETUP		8	/* job setup	    - job reset modules */
#define PSM$K_FORM_SETUP	9	/* form setup	    - form setup modules */
#define PSM$K_JOB_FLAG		10	/* job separation   - flag page */
#define PSM$K_JOB_BURST		11	/* job separation   - burst page */
#define PSM$K_FILE_SETUP	12	/* file setup	    - file setup modules */
#define PSM$K_FILE_FLAG		13	/* file separation  - flag page */
#define PSM$K_FILE_BURST	14	/* file separation  - burst page */
#define PSM$K_FILE_SETUP_2	15	/* file setup	    - top of form */
#define PSM$K_MAIN_INPUT	16	/* file service	    - main routine */
#define PSM$K_FILE_INFORMATION	17	/* additional information print */
#define PSM$K_FILE_ERRORS	18	/* errors during task processing */
#define PSM$K_FILE_TRAILER	19	/* file separation  - trailer page */
#define PSM$K_JOB_RESET		20	/* job reset	    - job reset modules */
#define PSM$K_JOB_TRAILER	21	/* job separation   - trailer page */
#define PSM$K_JOB_COMPLETION	22	/* job completion   - top of form */
#define PSM$K_MAX		23	/* must be last */
/*
 Carriage control types
*/
#define PSM$K_CC_INTERNAL	1	/* - imbedded */
#define PSM$K_CC_IMPLIED	2	/* - implied */
#define PSM$K_CC_FORTRAN	3	/* - fortran */
#define PSM$K_CC_PRINT		4	/* - print file (prn) */
#define PSM$K_CC_MAX		5	/* must be last */
 
